# Review: https://bugzilla.redhat.com/show_bug.cgi?id=473679

%global majorversion 0.4

Name:           xfburn
Version:        0.4.3
Release:        10%{?dist}
Summary:        Simple CD burning tool for Xfce

Group:          Applications/Archiving
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/applications/%{name}
#VCS: git:git://git.xfce.org/apps/xfburn
Source0:        http://archive.xfce.org/src/apps/%{name}/%{majorversion}/%{name}-%{version}.tar.bz2
Patch0:         xfburn-0.4.3-glib.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=639804
# https://bugzilla.redhat.com/show_bug.cgi?id=676086
# https://bugzilla.xfce.org/show_bug.cgi?id=6805
# same as http://git.xfce.org/apps/xfburn/commit/?id=611d9158 but against 0.4.3
Patch1:         xfburn-0.4.3-new-directory-bug.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=669971
# https://bugzilla.xfce.org/show_bug.cgi?id=7103
# http://git.xfce.org/apps/xfburn/commit/?id=e1d6bfc2
Patch2:         xfburn-0.4.3-if-with-several-statements.patch

# make sure xfburn.desktop can be validated with our version of desktop-file-utils
Patch10:        xfburn-0.4.3-desktop-file.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfcegui4-devel >= 4.4.0 
BuildRequires:  thunar-vfs-devel
BuildRequires:  libburn-devel >= 0.4.2
BuildRequires:  libisofs-devel >= 0.6.2
BuildRequires:  dbus-glib-devel >= 0.34 
BuildRequires:  gstreamer-devel >= 0.10.2
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  desktop-file-utils 
BuildRequires:  gettext
BuildRequires:  intltool
Requires:       hicolor-icon-theme

%description
Xfburn is a simple CD/DVD burning tool based on libburnia libraries. It can 
blank CD-RWs, burn and create iso images, as well as burn personal 
compositions of data to either CD or DVD.


%prep
%setup -q
%patch0 -p1 -b .glib
%patch1 -p1 -b .new-directory
%patch2 -p1 -b .if
%patch10 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
%find_lang %{name}
desktop-file-install --vendor ""                            \
    --dir %{buildroot}%{_datadir}/applications              \
    --delete-original                                       \
    --add-category=Utility                                  \
    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/Thunar/sendto/*.desktop
%{_datadir}/icons/hicolor/*/stock/media/stock_%{name}-*.png
%{_datadir}/icons/hicolor/scalable/stock/media/stock_%{name}-*.svg
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*.ui
%{_mandir}/man1/%{name}.*


%changelog
* Fri Sep 28 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-10
- Fix crash when creating directory (#639804, #676086 and #851900)
- Fix crash when adding lots of files (#669971)
- Make sure desktop file validates

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 01 2012 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-8
- Fix build with latest glib
- Add VCS key and review #

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.4.3-6
- Rebuild for new libpng

* Tue Apr 26 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-5
- No longer BuildRequire obsolete hal (#699692)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 04 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-3
- Switch from Thunar-devel to thunar-vfs-devel

* Thu Apr 22 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-2
- Rebuild for libburn 0.8.0

* Sun Feb 14 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3

* Fri Jan 31 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-3
- Properly unmount drive before burning (#525514)

* Thu Oct 30 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-2
- Fix infinite loop in blank disk dialog (#525515)
- Don't crash on burning ISO image (#525518)

* Fri Jul 24 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Wed Feb 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1
- Include new manpage

* Mon Jan 26 2009 Denis Leroy <denis@poolshark.org> - 0.4.0-1
- Update to upstream 0.4.0

* Tue Nov 04 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.91-2
- Don't enable debug
- Require hicolor-icon-theme

* Tue Nov 04 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.91-1
- Update to 0.3.91

* Tue Jul 16 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2

* Fri Jul 11 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Wed Jun 11 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0 stable

* Mon Jan 07 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-0.1.20080107svn26552
- Update to 0.3.0svn-26552.
. Switch to libburn and drop requirements for genisoimage, cdrdao and wodim

* Sun Feb 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.1-0.1.20070225svn25032
- Initial package.
